OpenVDB: StringAttributeHandle Class Reference

OpenVDB 10.0.1

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
StringAttributeHandle Class Reference

`#include <openvdb/points/AttributeArrayString.h>`

Inheritance diagram for StringAttributeHandle:

## Public Types
using | Ptr = std::shared_ptr< StringAttributeHandle >
using | UniquePtr = std::unique_ptr< StringAttributeHandle >

## Public Member Functions
| StringAttributeHandle (const AttributeArray &array, const MetaMap &metadata, const bool preserveCompression=true)
Index | stride () const
Index | size () const
bool | isUniform () const
bool | hasConstantStride () const
Name | get (Index n, Index m=0) const
void | get (Name &name, Index n, Index m=0) const
const AttributeArray & | array () const
| Returns a reference to the array held in the Handle.

## Static Public Member Functions
static Ptr | create (const AttributeArray &array, const MetaMap &metadata, const bool preserveCompression=true)

## Protected Attributes
AttributeHandle< Index, StringCodec< false > > | mHandle
const MetaMap & | mMetadata

## Member Typedef Documentation

## ◆ Ptr

using Ptr = std::shared_ptr<StringAttributeHandle>

## ◆ UniquePtr

using UniquePtr = std::unique_ptr<StringAttributeHandle>

## Constructor & Destructor Documentation

## ◆ StringAttributeHandle()

StringAttributeHandle | ( | const AttributeArray & | array,
|  | const MetaMap & | metadata,
|  | const bool | preserveCompression = `true`
| ) |  |

## Member Function Documentation

## ◆ array()

const AttributeArray & array | ( |  | ) | const

Returns a reference to the array held in the Handle.

## ◆ create()

static Ptr create | ( | const AttributeArray & | array,
|  | const MetaMap & | metadata,
|  | const bool | preserveCompression = `true`
| ) |  |
| static

## ◆ get() [1/2]

Name get | ( | Index | n,
|  | Index | m = `0`
| ) |  | const

## ◆ get() [2/2]

void get | ( | Name & | name,
|  | Index | n,
|  | Index | m = `0`
| ) |  | const

## ◆ hasConstantStride()

bool hasConstantStride | ( |  | ) | const
| inline

## ◆ isUniform()

bool isUniform | ( |  | ) | const
| inline

## ◆ size()

Index size | ( |  | ) | const
| inline

## ◆ stride()

Index stride | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ mHandle

AttributeHandle<Index, StringCodec<false> > mHandle
| protected

## ◆ mMetadata

const MetaMap& mMetadata
| protected